import { LitElement } from 'lit';
export declare const ICON_CC_DINERS_CLUB = "icon-cc-diners-club";
export declare class IconCcDinersClubComponent extends LitElement {
    static readonly defaultTagName = "icon-cc-diners-club";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
